GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::geom::util::GeometryEditorOperation Class Referenceabstract

`#include <GeometryEditorOperation.h>`

Inheritance diagram for geos::geom::util::GeometryEditorOperation:

## Public Member Functions
virtual Geometry * | edit (const Geometry *geometry, const GeometryFactory *factory)=0

## Detailed Description

A interface which specifies an edit operation for Geometries.

## Member Function Documentation

virtual Geometry* geos::geom::util::GeometryEditorOperation::edit | ( | const Geometry * | geometry,
|  | const GeometryFactory * | factory
| ) |  |
| pure virtual

Edits a Geometry by returning a new Geometry with a modification. The returned Geometry might be the same as the Geometry passed in.

Parameters

  geometry | the Geometry to modify
  factory | the factory with which to construct the modified Geometry (may be different to the factory of the input geometry)

Returns
  a new Geometry which is a modification of the input Geometry

Implemented in geos::geom::util::CoordinateOperation.

The documentation for this class was generated from the following file:

- GeometryEditorOperation.h